<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@drawable/color_body_01">

  <include
      layout="@layout/app_toolbar"/>

  <android.support.v4.widget.SwipeRefreshLayout
      android:id="@+id/swiperefreshlayou"
      android:layout_width="match_parent"
      android:layout_height="0dp"
      android:layout_weight="1">
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">
      <LinearLayout
          android:layout_width="match_parent"
          android:layout_height="match_parent"
          android:orientation="vertical">

        <android.support.v7.widget.RecyclerView
            android:id="@+id/rvHomhubList"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"/>

        <View style="@style/width_section"
              android:id="@+id/width_section"
              android:visibility="gone"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingTop="50dp"
            android:paddingBottom="100dp"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:background="@drawable/color_body_01">

          <ImageView
              android:id="@+id/ivLoadingProgress"
              android:layout_width="wrap_content"
              android:layout_height="wrap_content"
              android:src="@drawable/img_progress_small_black_s01"/>
          <TextView
              android:id="@+id/tvLoadingMsg"
              android:layout_width="wrap_content"
              android:layout_height="wrap_content"
              android:layout_marginTop="25dp"
              android:gravity="center"
              android:textColor="@color/color_text_01"
              android:textSize="@dimen/size_font_01"
              android:text="@string/layout_things_guide_30"/>

        </LinearLayout>
      </LinearLayout>
    </ScrollView>
  </android.support.v4.widget.SwipeRefreshLayout>

  <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="60dp"
      android:layout_gravity="center_horizontal"
      android:background="@drawable/color_bg_01"
      android:gravity="center">

    <LinearLayout
        android:id="@+id/llBtn1"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:gravity="center">

      <TextView
          android:id="@+id/tvBtn1"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:background="@null"
          android:includeFontPadding="false"
          android:text="@string/layout_close"
          android:textColor="@drawable/d_font_color_font_01_color_font_02"
          android:textSize="@dimen/size_font_05"
          android:textStyle="bold"/>
    </LinearLayout>
  </LinearLayout>
</LinearLayout>
